/**
 * Created by 1 at 2022-07-26 11:11:24
 * 注册事件类【数据字典管理】，参看event.defaultEvent.js
*/
window.$swEvent.setup("bpm.sys.base.dict.dictList", {
  setup(page){
    const { $params,$refs, $widgets, $model, $utils, $tabRouter, $api,$lifecycle } = page || {};
    const { $$message, $$http } = $utils || {};
    // 删除类型之后
    const afterDelDictType = () => {
      $api.loadOne("dictTypeList");
    };
    // 删除字典之后
    const afterDelDict = () => {
      $api.loadOne("dictList");
    };
    return {
      afterDelDictType,
      afterDelDict,
    }
  }
});
